Table of Contents

## Name

XtGetSelectionParameters - retrieve target parameters for a selection request with a single target

## Syntax

void XtGetSelectionParameters(Widget owner, Atom selection,
  XtRequestId request_id, Atom *type_return, XtPointer *value_return, unsigned long *length_return, int *format_return);

## Arguments

owner
  Specifies the widget that owns the specified selection.
selection
  Specifies the selection being processed.
request_id
  Specifies the requestor id in the case of incremental selections, or NULL in the case of atomic transfers.
type_return
  Specifies a pointer to an atom in which the property type of the parameters will be stored.
value_return
  Specifies a pointer into which a pointer to the parameters are to be stored. A NULL will be stored if no parameters accompany the request.
length_return
  Specifies a pointer into which the number of data elements in value_return of size indicated by format_return will be stored.
format_return
  Specifies a pointer into which the size in bits of the parameter data in the elements of value_return will be stored.

## Description

XtGetSelectionParameters may only be called from within an XtConvertSelectionProc or from within the last call to an XtConvertSelectionIncrProc with a new request_id.

## See Also

XtSetSelectionParameters(3Xt)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also